[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [OSSTEST PATCH 20/35] netboot: Rename mg-netgrub-loader-update



This used to be mg-pxe-loader-update, but it updates grub and not
anything to do with PXE.

Signed-off-by: Ian Jackson <Ian.Jackson@xxxxxxxxxxxxx>
---
 README                   |  2 +-
 mg-netgrub-loader-update | 84 ++++++++++++++++++++++++++++++++++++++++++++++++
 mg-pxe-loader-update     | 84 ------------------------------------------------
 production-config        |  2 +-
 4 files changed, 86 insertions(+), 86 deletions(-)
 create mode 100755 mg-netgrub-loader-update
 delete mode 100755 mg-pxe-loader-update

diff --git a/README b/README
index f77922c..01644b0 100644
--- a/README
+++ b/README
@@ -257,7 +257,7 @@ To run osstest in standalone mode:
 
  - Optional:
      ipmitool -- for hosts which use IPMI for power control
-     grub-common -- for mg-pxe-loader-update
+     grub-common -- for mg-netgrub-loader-update
 
  - Write a config file
     ~/.xen-osstest/config
diff --git a/mg-netgrub-loader-update b/mg-netgrub-loader-update
new file mode 100755
index 0000000..ca8abcb
--- /dev/null
+++ b/mg-netgrub-loader-update
@@ -0,0 +1,84 @@
+#!/bin/bash
+# usage
+#   ./mg-netgrub-loader-update jessie
+#
+# Requires grub-mkimage (Debian package: grub-common)
+
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2015 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e -o posix
+
+. ./cri-getconfig
+. ./mgi-common
+
+suite=$1
+
+site=http://ftp.debian.org/debian/
+sbase=$site/dists/$suite
+
+archs="amd64 i386 arm64"
+
+dstroot=`getconfig TftpPath`/`getconfig TftpGrubBase`/
+date=`date +%Y-%m-%d`
+dst=$date
+
+grubpfx=`getconfig TftpGrubBase`/$date/grub
+grubcfg=`getconfig TftpTmpDir`/grub.cfg-'$net_default_mac'
+
+mkdir -p $dstroot
+cd $dstroot
+mkdir -p $dst
+cd $dst
+rm -rf grub
+mkdir grub
+
+cat >grub/grub.cfg <<EOF
+set stage1=yes
+configfile $grubcfg
+EOF
+for arch in $archs ; do
+    case $arch in
+       amd64) grubdeb=grub-efi-amd64-bin; platform=x86_64-efi;;
+       i386)  grubdeb=grub-efi-ia32-bin;  platform=i386-efi;;
+       arm64) grubdeb=grub-efi-arm64-bin; platform=arm64-efi;;
+       *) echo "No grub on $arch" >&2; exit 0;;
+    esac
+
+    pfile=$sbase/main/binary-$arch/Packages.gz
+
+    fetch $pfile >Packages.gz
+
+    echo >&2 "collecting $grubdeb"
+    fetch_debian_package $site Packages.gz -PX $grubdeb >$grubdeb.deb
+
+    dpkg-deb -x $grubdeb.deb x
+
+    mv x/usr/lib/grub/* grub/
+
+    rm -rf x
+
+    rm Packages.gz
+
+    grub-mkimage -O "$platform" \
+                -d ./grub/$platform \
+                -o pxegrub-$arch.efi -p "$grubpfx" \
+                search configfile normal efinet tftp net
+done
+
+echo $date
+echo >&2 "downloaded $dstroot/$date"
diff --git a/mg-pxe-loader-update b/mg-pxe-loader-update
deleted file mode 100755
index e0e347d..0000000
--- a/mg-pxe-loader-update
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/bash
-# usage
-#   ./mg-pxe-loader-update jessie
-#
-# Requires grub-mkimage (Debian package: grub-common)
-
-# This is part of "osstest", an automated testing framework for Xen.
-# Copyright (C) 2015 Citrix Inc.
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU Affero General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Affero General Public License for more details.
-#
-# You should have received a copy of the GNU Affero General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-
-set -e -o posix
-
-. ./cri-getconfig
-. ./mgi-common
-
-suite=$1
-
-site=http://ftp.debian.org/debian/
-sbase=$site/dists/$suite
-
-archs="amd64 i386 arm64"
-
-dstroot=`getconfig TftpPath`/`getconfig TftpGrubBase`/
-date=`date +%Y-%m-%d`
-dst=$date
-
-grubpfx=`getconfig TftpGrubBase`/$date/grub
-grubcfg=`getconfig TftpTmpDir`/grub.cfg-'$net_default_mac'
-
-mkdir -p $dstroot
-cd $dstroot
-mkdir -p $dst
-cd $dst
-rm -rf grub
-mkdir grub
-
-cat >grub/grub.cfg <<EOF
-set stage1=yes
-configfile $grubcfg
-EOF
-for arch in $archs ; do
-    case $arch in
-       amd64) grubdeb=grub-efi-amd64-bin; platform=x86_64-efi;;
-       i386)  grubdeb=grub-efi-ia32-bin;  platform=i386-efi;;
-       arm64) grubdeb=grub-efi-arm64-bin; platform=arm64-efi;;
-       *) echo "No grub on $arch" >&2; exit 0;;
-    esac
-
-    pfile=$sbase/main/binary-$arch/Packages.gz
-
-    fetch $pfile >Packages.gz
-
-    echo >&2 "collecting $grubdeb"
-    fetch_debian_package $site Packages.gz -PX $grubdeb >$grubdeb.deb
-
-    dpkg-deb -x $grubdeb.deb x
-
-    mv x/usr/lib/grub/* grub/
-
-    rm -rf x
-
-    rm Packages.gz
-
-    grub-mkimage -O "$platform" \
-                -d ./grub/$platform \
-                -o pxegrub-$arch.efi -p "$grubpfx" \
-                search configfile normal efinet tftp net
-done
-
-echo $date
-echo >&2 "downloaded $dstroot/$date"
diff --git a/production-config b/production-config
index 2e91f21..9a299ac 100644
--- a/production-config
+++ b/production-config
@@ -99,7 +99,7 @@ DebianImageVersion_jessie 8.2.0
 MicrocodeUpdateAmd64 microcode.x86.2015-06-12.cpio
 MicrocodeUpdateI386 microcode.x86.2015-06-12.cpio
 
-# Update with ./mg-pxe-loader-update
+# Update with ./mg-netgrub-loader-update
 TftpGrubVersion XXXX-XX-XX
 
 XenUsePath /usr/groups/xencore/systems/bin/xenuse
-- 
2.1.4


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
https://lists.xen.org/xen-devel

 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.